#No PHP scripts in the uploads/ directory
location ~* /(?:uploads|files)/.*\.php$ {
    deny all;
}

#Hide sensitive files
location ~* \.(engine|inc|info|install|make|module|profile|test|po|sh|.*sql|theme|tpl(\.php)?|xtmpl)$|^(\..*|Entries.*|Repository|Root|Tag|Template)$|\.php_
{
        return 444;
}


#No other CGI scripts
location ~* \.(pl|cgi|py|sh|lua)\$ {
        return 444;
}

#Restrict WordPress pain points
location ~ /(\.|wp-config.php|wp-comments-post.php|readme.html|license.txt) {
    deny all;
}

#Stop image hotlinking
location ~ .(gif|png|jpe?g)$ {
     valid_referers none blocked geekmonkey.de *.geekmonkey.de koufu.de *.koufu.de veit.xyz *.veit.xyz;
     if ($invalid_referer) {
        return   403;
    }
}